Subject: Re: [PATCH v5 7/8] fetch-pack: put shallow info in output parameter

From: Brandon Williams <[email-masked]>
Date: Wed, 27 Jun 2018 11:15:18 -0700

On 06/26, Junio C Hamano wrote:
> Brandon Williams <[email-masked]> writes:
> 
> > Expand the transport fetch method signature, by adding an output
> > parameter, to allow transports to return information about the refs they
> > have fetched.  Then communicate shallow status information through this
> > mechanism instead of by modifying the input list of refs.
> 
> Makes sense.  Would this mechanism also allow us to be more explicit
> about the "tag following"?
> 

Yes most likely.  We could change it so that when a packfile is sent the
result of tag following could be sent along too (the actual tag refs
themselves that is) instead of having the client rely on the ref
advertisement for tag following.

-- 
Brandon Williams